Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.servlet
Class URLFormat

    java.lang.Object
      org.jboss.portal.common.servlet.URLFormat

    public class URLFormat

extends java.lang.Object

Defines how a URL should be formatted when rendered.

Version:
  $Revision: 630 $
Author:
  Julien Viet

Method Summary
`static URLFormat` | `create(java.lang.Boolean secure, java.lang.Boolean authenticated, java.lang.Boolean relative, java.lang.Boolean escapeXML, java.lang.Boolean servletEncoded)` Factory creation of URLFormat objects.
`java.lang.Boolean` | `getAuthenticated()`
`java.lang.Boolean` | `getEscapeXML()`
`java.lang.Boolean` | `getRelative()`
`java.lang.Boolean` | `getSecure()`
`java.lang.Boolean` | `getServletEncoded()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static URLFormat create(java.lang.Boolean secure,
                                   java.lang.Boolean authenticated,
                                   java.lang.Boolean relative,
                                   java.lang.Boolean escapeXML,
                                   java.lang.Boolean servletEncoded)

  Factory creation of URLFormat objects.

  Parameters:
    `secure` - if the url should be secure
    `authenticated` - if the url should force the user to authenticate
    `relative` - if the url is relative or absolute
    `escapeXML` - if the url should have XML escaped
    `servletEncoded` - if the url should be encoded with the servlet response (session propagation)
  Returns:
    the rendered URL

### getSecure

    public java.lang.Boolean getSecure()

### getAuthenticated

    public java.lang.Boolean getAuthenticated()

### getRelative

    public java.lang.Boolean getRelative()

### getEscapeXML

    public java.lang.Boolean getEscapeXML()

### getServletEncoded

    public java.lang.Boolean getServletEncoded()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.